Package org.drinkless.tdlib

# Class TdApi.EncryptedCredentials

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.EncryptedCredentials

Enclosing class:
  `TdApi`

public static class TdApi.EncryptedCredentials extends TdApi.Object
Contains encrypted Telegram Passport data credentials.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `byte[]`
  `data`
  The encrypted credentials.
  `byte[]`
  `hash`
  The decrypted data hash.
  `byte[]`
  `secret`
  Secret for data decryption, encrypted with the service's public key.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EncryptedCredentials()`
  Contains encrypted Telegram Passport data credentials.
  `EncryptedCredentials(byte[] data, byte[] hash, byte[] secret)`
  Contains encrypted Telegram Passport data credentials.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### data

    public byte[] data
    The encrypted credentials.

  - ### hash

    public byte[] hash
    The decrypted data hash.

  - ### secret

    public byte[] secret
    Secret for data decryption, encrypted with the service's public key.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EncryptedCredentials

    public EncryptedCredentials()
    Contains encrypted Telegram Passport data credentials.

  - ### EncryptedCredentials

    public EncryptedCredentials(byte[] data, byte[] hash, byte[] secret)
    Contains encrypted Telegram Passport data credentials.
    Parameters:
      `data` - The encrypted credentials.
      `hash` - The decrypted data hash.
      `secret` - Secret for data decryption, encrypted with the service's public key.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR